# Copyright (C) 2001-2025 Altera Corporation
#
# This code and the related documents are Altera copyrighted materials and
# your use of them is governed by the express license under which they were
# provided to you ("License"). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# code or the related documents without Altera's prior written permission.
# 
# This code and the related documents are provided as is, with no express
# or implied warranties other than those that are expressly stated in the
# License.


# Copyright (C) 2001-2025 Altera Corporation
#
# This code and the related documents are Altera copyrighted materials and
# your use of them is governed by the express license under which they were
# provided to you ("License"). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# code or the related documents without Altera's prior written permission.
# 
# This code and the related documents are provided as is, with no express
# or implied warranties other than those that are expressly stated in the
# License.


#**************************************************************
# Create Clock
#**************************************************************
derive_pll_clocks
derive_clock_uncertainty
 
create_clock -name clk_fpga_p -period 10.000 -waveform {0 5} [get_ports {clk_fpga_p}]
create_clock -name {altera_reserved_tck} -period 41.667 [get_ports { altera_reserved_tck }]

#**************************************************************
# Create Generated Clock
#**************************************************************
create_generated_clock -name {clk_50m} -source [get_nets {sys_pll_inst|iopll_0|outclk_0}]

#**************************************************************
# Set Clock Latency
#**************************************************************

#**************************************************************
# Set Clock Uncertainty
#**************************************************************

#**************************************************************
# Set Input Delay
#**************************************************************
set_input_delay -clock altera_reserved_tck 6 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck 6 [get_ports altera_reserved_tms]

set_input_delay  -clock { clk_50m } 5   [get_ports {fpga_1v2_sda}]
set_input_delay  -clock { clk_50m } 5   [get_ports {fpga_1v2_scl}]



#**************************************************************
# Set Output Delay
#**************************************************************
set_output_delay -clock altera_reserved_tck -clock_fall -max 6 [get_ports altera_reserved_tdo]
set_output_delay -clock { clk_50m } 2.5 [get_ports {fpga_1v2_sda}]
set_output_delay -clock { clk_50m } 2.5 [get_ports {fpga_1v2_scl}]

#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}]  
set_clock_groups -asynchronous -group [get_clocks {clk_fpga_p}]


#**************************************************************
# Set False Path
#**************************************************************
set_false_path -from [get_ports {fpga_resetn}] -to * 

set_false_path -from * -to [get_ports {fpga_led0}]  
set_false_path -from * -to [get_ports {fpga_led1}]  
set_false_path -from * -to [get_ports {fpga_led2}]    
set_false_path -from * -to [get_ports {fpga_led3}]  
   
#set_false_path -from * -to {auto_fab_0|alt_sld_fab_0|alt_sld_fab_0|auto_signaltap_auto_signaltap_0|sld_signaltap_inst|*}
#set_false_path -from {auto_fab_0|alt_sld_fab_0|alt_sld_fab_0|auto_signaltap_auto_signaltap_0|sld_signaltap_inst|*} -to *

#**************************************************************
# Set Multicycle Path
#**************************************************************


#**************************************************************
# Set Maximum Delay
#**************************************************************


#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************