# Copyright (C) 2001-2025 Altera Corporation
#
# This code and the related documents are Altera copyrighted materials and
# your use of them is governed by the express license under which they were
# provided to you ("License"). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# code or the related documents without Altera's prior written permission.
# 
# This code and the related documents are provided as is, with no express
# or implied warranties other than those that are expressly stated in the
# License.


# request TCL package from ACDS 21.3
# 
package require -exact qsys 21.3
# 
# module xcvr_conduit_ctrl
# 
set_module_property DESCRIPTION ""
set_module_property NAME xcvr_conduit_ctrl
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property GROUP Devkit_IPs
set_module_property AUTHOR ""
set_module_property DISPLAY_NAME xcvr_conduit_ctrl
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property REPORT_TO_TALKBACK false
set_module_property ALLOW_GREYBOX_GENERATION false
set_module_property REPORT_HIERARCHY false
set_module_property LOAD_ELABORATION_LIMIT 0
# 
# file sets
# 
add_fileset QUARTUS_SYNTH QUARTUS_SYNTH "" ""
set_fileset_property QUARTUS_SYNTH TOP_LEVEL xcvr_conduit_ctrl
set_fileset_property QUARTUS_SYNTH ENABLE_RELATIVE_INCLUDE_PATHS false
set_fileset_property QUARTUS_SYNTH ENABLE_FILE_OVERWRITE_MODE false
add_fileset_file xcvr_conduit_ctrl.v VERILOG PATH xcvr_conduit_ctrl.v TOP_LEVEL_FILE
add_fileset SIM_VERILOG SIM_VERILOG "" ""
set_fileset_property SIM_VERILOG TOP_LEVEL xcvr_conduit_ctrl
set_fileset_property SIM_VERILOG ENABLE_RELATIVE_INCLUDE_PATHS false
set_fileset_property SIM_VERILOG ENABLE_FILE_OVERWRITE_MODE false
add_fileset_file xcvr_conduit_ctrl.v VERILOG PATH xcvr_conduit_ctrl.v
# 
# parameters
# 
# 
# display items
# 
# 
# connection point reset
# 
add_interface reset reset end
set_interface_property reset associatedClock clock
set_interface_property reset synchronousEdges DEASSERT
set_interface_property reset ENABLED true
set_interface_property reset EXPORT_OF ""
set_interface_property reset PORT_NAME_MAP ""
set_interface_property reset CMSIS_SVD_VARIABLES ""
set_interface_property reset SVD_ADDRESS_GROUP ""
set_interface_property reset IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port reset reset_n reset_n Input 1
# 
# connection point clock
# 
add_interface clock clock end
set_interface_property clock ENABLED true
set_interface_property clock EXPORT_OF ""
set_interface_property clock PORT_NAME_MAP ""
set_interface_property clock CMSIS_SVD_VARIABLES ""
set_interface_property clock SVD_ADDRESS_GROUP ""
set_interface_property clock IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port clock clk clk Input 1
# 
# connection point csr
# 
add_interface csr avalon end
set_interface_property csr addressGroup 0
set_interface_property csr addressUnits WORDS
set_interface_property csr associatedClock clock
set_interface_property csr associatedReset reset
set_interface_property csr bitsPerSymbol 8
set_interface_property csr bridgedAddressOffset ""
set_interface_property csr bridgesToMaster ""
set_interface_property csr burstOnBurstBoundariesOnly false
set_interface_property csr burstcountUnits WORDS
set_interface_property csr explicitAddressSpan 0
set_interface_property csr holdTime 0
set_interface_property csr linewrapBursts false
set_interface_property csr maximumPendingReadTransactions 0
set_interface_property csr maximumPendingWriteTransactions 0
set_interface_property csr minimumResponseLatency 1
set_interface_property csr readLatency 0
set_interface_property csr readWaitTime 1
set_interface_property csr setupTime 0
set_interface_property csr timingUnits Cycles
set_interface_property csr transparentBridge false
set_interface_property csr waitrequestAllowance 0
set_interface_property csr writeWaitTime 0
set_interface_property csr ENABLED true
set_interface_property csr EXPORT_OF ""
set_interface_property csr PORT_NAME_MAP ""
set_interface_property csr CMSIS_SVD_VARIABLES ""
set_interface_property csr SVD_ADDRESS_GROUP ""
set_interface_property csr IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port csr csr_address address Input 4
add_interface_port csr csr_read read Input 1
add_interface_port csr csr_write write Input 1
add_interface_port csr csr_readdata readdata Output 32
add_interface_port csr csr_writedata writedata Input 32
set_interface_assignment csr embeddedsw.configuration.isFlash 0
set_interface_assignment csr embeddedsw.configuration.isMemoryDevice 0
set_interface_assignment csr embeddedsw.configuration.isNonVolatileStorage 0
set_interface_assignment csr embeddedsw.configuration.isPrintableDevice 0
# 
# connection point tx_ready
# 
add_interface tx_ready conduit end
set_interface_property tx_ready associatedClock ""
set_interface_property tx_ready associatedReset ""
set_interface_property tx_ready ENABLED true
set_interface_property tx_ready EXPORT_OF ""
set_interface_property tx_ready PORT_NAME_MAP ""
set_interface_property tx_ready CMSIS_SVD_VARIABLES ""
set_interface_property tx_ready SVD_ADDRESS_GROUP ""
set_interface_property tx_ready IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port tx_ready tx_ready tx_ready Input 1
# 
# connection point rx_ready
# 
add_interface rx_ready conduit end
set_interface_property rx_ready associatedClock ""
set_interface_property rx_ready associatedReset ""
set_interface_property rx_ready ENABLED true
set_interface_property rx_ready EXPORT_OF ""
set_interface_property rx_ready PORT_NAME_MAP ""
set_interface_property rx_ready CMSIS_SVD_VARIABLES ""
set_interface_property rx_ready SVD_ADDRESS_GROUP ""
set_interface_property rx_ready IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port rx_ready rx_ready rx_ready Input 1
# 
# connection point tx_pll_locked
# 
add_interface tx_pll_locked conduit end
set_interface_property tx_pll_locked associatedClock ""
set_interface_property tx_pll_locked associatedReset ""
set_interface_property tx_pll_locked ENABLED true
set_interface_property tx_pll_locked EXPORT_OF ""
set_interface_property tx_pll_locked PORT_NAME_MAP ""
set_interface_property tx_pll_locked CMSIS_SVD_VARIABLES ""
set_interface_property tx_pll_locked SVD_ADDRESS_GROUP ""
set_interface_property tx_pll_locked IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port tx_pll_locked tx_pll_locked tx_pll_locked Input 1
# 
# connection point rx_is_lockedtoref
# 
add_interface rx_is_lockedtoref conduit end
set_interface_property rx_is_lockedtoref associatedClock ""
set_interface_property rx_is_lockedtoref associatedReset ""
set_interface_property rx_is_lockedtoref ENABLED true
set_interface_property rx_is_lockedtoref EXPORT_OF ""
set_interface_property rx_is_lockedtoref PORT_NAME_MAP ""
set_interface_property rx_is_lockedtoref CMSIS_SVD_VARIABLES ""
set_interface_property rx_is_lockedtoref SVD_ADDRESS_GROUP ""
set_interface_property rx_is_lockedtoref IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port rx_is_lockedtoref rx_is_lockedtoref rx_is_lockedtoref Input 1
# 
# connection point rx_is_lockedtodata
# 
add_interface rx_is_lockedtodata conduit end
set_interface_property rx_is_lockedtodata associatedClock ""
set_interface_property rx_is_lockedtodata associatedReset ""
set_interface_property rx_is_lockedtodata ENABLED true
set_interface_property rx_is_lockedtodata EXPORT_OF ""
set_interface_property rx_is_lockedtodata PORT_NAME_MAP ""
set_interface_property rx_is_lockedtodata CMSIS_SVD_VARIABLES ""
set_interface_property rx_is_lockedtodata SVD_ADDRESS_GROUP ""
set_interface_property rx_is_lockedtodata IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port rx_is_lockedtodata rx_is_lockedtodata rx_is_lockedtodata Input 1
# 
# connection point tx_reset
# 
add_interface tx_reset conduit end
set_interface_property tx_reset associatedClock ""
set_interface_property tx_reset associatedReset ""
set_interface_property tx_reset ENABLED true
set_interface_property tx_reset EXPORT_OF ""
set_interface_property tx_reset PORT_NAME_MAP ""
set_interface_property tx_reset CMSIS_SVD_VARIABLES ""
set_interface_property tx_reset SVD_ADDRESS_GROUP ""
set_interface_property tx_reset IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port tx_reset tx_reset tx_reset Output 1
# 
# connection point rx_reset
# 
add_interface rx_reset conduit end
set_interface_property rx_reset associatedClock ""
set_interface_property rx_reset associatedReset ""
set_interface_property rx_reset ENABLED true
set_interface_property rx_reset EXPORT_OF ""
set_interface_property rx_reset PORT_NAME_MAP ""
set_interface_property rx_reset CMSIS_SVD_VARIABLES ""
set_interface_property rx_reset SVD_ADDRESS_GROUP ""
set_interface_property rx_reset IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port rx_reset rx_reset rx_reset Output 1
# 
# connection point tx_reset_ack
# 
add_interface tx_reset_ack conduit end
set_interface_property tx_reset_ack associatedClock ""
set_interface_property tx_reset_ack associatedReset ""
set_interface_property tx_reset_ack ENABLED true
set_interface_property tx_reset_ack EXPORT_OF ""
set_interface_property tx_reset_ack PORT_NAME_MAP ""
set_interface_property tx_reset_ack CMSIS_SVD_VARIABLES ""
set_interface_property tx_reset_ack SVD_ADDRESS_GROUP ""
set_interface_property tx_reset_ack IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port tx_reset_ack tx_reset_ack tx_reset_ack Input 1
# 
# connection point rx_reset_Ack
# 
add_interface rx_reset_Ack conduit end
set_interface_property rx_reset_Ack associatedClock ""
set_interface_property rx_reset_Ack associatedReset ""
set_interface_property rx_reset_Ack ENABLED true
set_interface_property rx_reset_Ack EXPORT_OF ""
set_interface_property rx_reset_Ack PORT_NAME_MAP ""
set_interface_property rx_reset_Ack CMSIS_SVD_VARIABLES ""
set_interface_property rx_reset_Ack SVD_ADDRESS_GROUP ""
set_interface_property rx_reset_Ack IPXACT_REGISTER_MAP_VARIABLES ""
add_interface_port rx_reset_Ack rx_reset_ack rx_reset_ack Input 1
